site_name: Garage Num Doc
site_url: https://garagenum.gitlab.io/doc
site_dir: public
theme: 
    name: material
    logo: assets/logo-web-garage_numerique.png
    custom_dir: overrides
    features:
        - navigation.instant
        - navigation.expand
        - navigation.tabs
plugins:
    #- markdownmermaid
    - search:
        min_search_length: 2
    - add-number:
        order: 2
        excludes:
            - divers/cmd/
            - presentation-garage/reglement_interieur_CHANGELOG.md
            - presentation-garage/reglement_interieur.md
        includes:
            - divers/cmd/screen
    - git-authors  
    - git-revision-date
    #- mermaid2:
    #    arguments:
    #      theme: 'dark'
markdown_extensions:
    - admonition
    - pymdownx.tabbed:
        alternate_style: true
    - pymdownx.details
    - pymdownx.superfences:
        custom_fences:
          - name: mermaid
            class: mermaid
            #Following was for mermaid without mermaid2-plugin
            format: !!python/name:pymdownx.superfences.fence_div_format
            #
            # Following is to escape highlighting for mermaid fences using mermaid2
            #format: !!python/name:mermaid2.fence_mermaid
    - pymdownx.highlight:
        use_pygments: false
        linenums_style: pymdownx.inline
    - pymdownx.inlinehilite
    - pymdownx.keys
    - footnotes
    - toc:
        permalink: true
    - attr_list
    - md_in_html
extra_javascript:
    - https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.1.1/highlight.min.js
    - assets/js/config.js
    - https://unpkg.com/mermaid@8.8.2/dist/mermaid.min.js
extra_css:
    - https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.1.1/styles/default.min.css
nav:
    - Accueil: index.md
    - "Présentation du Garage":
        - presentation-garage/index.md
        - presentation-garage/reglement_interieur.md
        - presentation-garage/reglement_interieur_CHANGELOG.md
        - presentation-garage/procedures.md
        - presentation-garage/equipe.md
        - presentation-garage/histoire.md
        - presentation-garage/projets.md
        - presentation-garage/statut.md
        - Ressources:
            - presentation-garage/ressources/sites-web.md
        - "Formations": 
            - presentation-garage/formation/index.md
            - "Passe Numérique Pro": presentation-garage/formation/pnpro-devops.md
            - "Bac+1 DevOps": presentation-garage/formation/bacplusun-devops.md
    - Cours: 
        - Introduction: cours/index.md
        - Scripting Bash:
            - cours/scripting/syntax.md
        - Python: 
            - cours/python/index.md
            - cours/python/workspace.md
            - cours/python/1stproject.md
            - cours/python/rest.md
            - cours/python/os-script.md
        - Outils du Garage:
            - cours/outils-garage/index.md
            - cours/outils-garage/element.md
            - "Environnement de développement": cours/outils-garage/devenv/index.md
    - Divers:  
        - divers/index.md
        - "Linux":
            - divers/cmd/index.md 
            - divers/cmd/backup.md 
            - divers/process-nwipe/nwipe.md
            - divers/cmd/screen.md
            - divers/cmd/nmcli.md
            - divers/cmd/mount.md
            - divers/cmd/read.md
            - divers/cmd/heredoc.md
            - "Bash: Listes": divers/cmd/bash-lists.md
        - "Admin Sys": 
            - divers/admin/index.md 
            - "Installer Adobe pdf reader": divers/admin/acroread-debian.md
            - "Configurer Gnome AppFolders": divers/admin/gnome-appfolders.md
            - "Réinitialiser un mot de passe Windows": divers/admin/reset-winpasswd.md
            - "Installer Lug9000 dans Minetest": divers/admin/lug9000.md
            - "Installer Arch Linux avec Gnome": divers/admin/arch-install.md
            - "Installer Kodi": divers/admin/kodi.md
            - "Fusion Inventory": divers/admin/fusion/index.md
        - "Servers": 
            - divers/server/index.md
            - divers/server/install_pxe.md
            - "Nextcloud": divers/server/nextcloud_docker-compose_on_debian-10_with_nginx_reverse-proxy.md 
            - "Wordpress": divers/server/wordpress_docker-compose_on_debian-10_with_nginx_reverse-proxy.md 
            - "SSH - SAMBA": divers/server/serveur_debian_smb_ssh.md 
            - "Mémo Postgresql": divers/server/postgres.md 
            - "Mémo Mysql": divers/server/mysql.md 
            - "Mémo SSH": divers/server/ssh.md 
            - "Wireshark": divers/server/wireshark.md 
            - "Calcul Réseau": divers/server/calculer-adresses-reseau.md
        - "DevOps":
            - divers/devops/index.md
            - "Hugo": 
                - "Introduction": divers/devops/hugo/index.md
                - "Installer Hugo": divers/devops/hugo/install_hugo.md
                - "Créer un site": divers/devops/hugo/create_website.md
                - "Déployer le site": divers/devops/hugo/deploy_website.md
                - "Utiliser les templates": divers/devops/hugo/hugo_from_templates.md
                - "*Build from scratch*": divers/devops/hugo/hugo_from_scratch.md
                - "Production Workflow": divers/devops/hugo/dokku_workflow.md
            - "Keycloak SSO": 
                - divers/devops/sso/index.md
                - divers/devops/sso/sso-ldap.md
                - divers/devops/sso/sso-keycloak.md
                - divers/devops/sso/sso-nextcloud.md
                - divers/devops/sso/sso-mattermost.md
                - divers/devops/sso/sso-wordpress.md
            - "Gitpod": divers/devops/gitpod.md
            - "Dokku": divers/devops/dokku.md
            - "Gitlab / Github API": divers/devops/git-api.md
            - "Odoo": 
                - divers/devops/odoo/index.md
                - divers/devops/odoo/devenv.md
                - divers/devops/odoo/devmodule.md
        - "Interne":
            - "Imprimantes": divers/internal/install-printers.md
            - "Workadventure map": divers/internal/wa.md
            - "MkDocs": divers/internal/mkdocs.md
        - "Dev":
            - "Index": divers/dev/index.md
            - "Créer un mod dans Minetest": divers/dev/create-minetest-mod.md
            - "Installer codium et Unity": divers/dev/unity_codium.md
        - "Git":
            - divers/git/git.md
    - Admin:
        - "Page d'accueil": admin/index.md
        - "Cadrage de l'ASP": admin/cadrage-asp/index.md
        - "Procédures comptables":
            - "Index": admin/compta/index.md
            - "Factures récurrentes": admin/compta/regular_invoices.md
        - "Procédures RH":
            - "Index": admin/rh/index.md
            - "Arrêt de travail": admin/rh/arret-travail.md
            - "Création d'un employé": admin/rh/creation-employe.md
            - "Remplir le bordereau Uniformation": admin/rh/bordereau-uniformation.md
        - "Procédures Odoo": 
            - "Index": admin/process-odoo/index.md
            - "Installation": admin/process-odoo/install-odoo.md
            - "Paramétrage": admin/process-odoo/odoo-setup.md
            - "Paye": admin/process-odoo/odoo-paye.md
            - "Saisir une facture": admin/process-odoo/odoo-facture.md
            - "Rapprochement bancaire": admin/process-odoo/odoo-rapprochement.md
            - "Note de frais": admin/process-odoo/odoo-note-de-frais.md
            - "Subventions": admin/process-odoo/odoo-subventions.md
            - "Clôture d'exercice": admin/process-odoo/odoo-cutoff.md
            - "Recrutement": admin/process-odoo/odoo-recrutement.md
            - "Immobilisations": admin/process-odoo/odoo-immo.md
    - Windows:
        - "Installation": admin/windows/index.md

#    - "Test": raw_test.md
